/*------------------------------------------------------------
 * Lightbox Styles
 *------------------------------------------------------------*/

.hygge-lightbox {
	.placement( @position:fixed );
	overflow: hidden;
	z-index: 9;
	width: 100%;
	height: 100%;
	display: none;
	padding: 40px;

	body.admin-bar & {
		height: ~"calc( 100% - 32px )";
		top: 32px;
	}

	&__mask {
		.placement( @position: fixed );
		background: fade(@white, 100%);
	}

	.hygge-loader {
		position: absolute;
		top: 50%;
		left: 50%;
		margin-left: ~"calc( @{sideblock_width}/2 + 120px/2 - 15px/2)";
		margin-top: -15px;
	}

	&__close {
		.transition;
		position: absolute;
		top: 40px;
		right: 40px;
		z-index: 2;
		cursor: pointer;
		line-height: 1;
		padding: 3px 10px;
		background: @black;
		color: @white;

		&:hover {
			background: @primary-color;
		}
	}

	&__info {
		position: relative;
		float: left;
		width: @sideblock_width;
		height: 100%;
		padding: 40px;

		&:after {
			content: '';
			display: block;
			position: absolute;
			right: 0;
			top: 40px;
			bottom: 40px;
			border-right: 1px solid @grey-light;
		}
	}

	&__media {
		position: relative;
		overflow: hidden;
		height: 100%;

		img {
			.placement;
			margin: auto;
			max-width: 100%;
			max-height: 100%;
			padding: 0 0 0 120px;
		}
	}

	&__nav {
		margin-bottom: 30px;
		padding-top: 5px;
	}

	&__arrow {
		font-size: 21px;
		cursor: pointer;
	}

	&__details {
		color: @black;
	}

	&__count {
		float: left;
		min-width: 33px;
		padding-right: 5px;
	}

	&__img-details {
		overflow: hidden;

		&__caption {
			margin-top: 1em;
		}
	}


	@media @mobile, @tablet-v {
		.hygge-lightbox__title,
		.hygge-lightbox__nav {
			display: none;
		}

		.hygge-lightbox__info {
			position: absolute;
			bottom: 0;
			left: 0;
			right: 0;
			width: auto;
			height: auto;
			z-index: 2;
			padding: 0;
			text-align: center;

			.hygge-lightbox__count {
				float: none;
			}

			.hygge-lightbox__img-details__caption {
				margin-top: 0;
			}
		}

		.hygge-lightbox__media {
			img {
				padding: 0;
			}
		}
	}
}
